For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Us
Knowledge BaseProduct UpdatesAPI Documentation
Knowledge BaseProduct UpdatesAPI Documentation
    • Getting Started
  • API Reference
      • POSTRequest a new access token
Contact Us
LogoLogo
API ReferenceAuthentication

Request a new access token

POST
https://api.cable.tech/v2/auth/token
POST
/v2/auth/token
$curl -X POST https://api.cable.tech/v2/auth/token \
> -H "Authorization: <API_KEY>" \
> -H "Content-Type: application/json" \
> -d '{
> "expiry_seconds": 86400,
> "scopes": {
> "organization_id": "organization-id-goes-here",
> "scopes": [
> "transactions:write",
> "transactions:read",
> "transactions:delete",
> "person:read",
> "person:write",
> "customer_sar:read",
> "customer_sar:write"
> ]
> }
>}'
1{
2 "token": "token",
3 "expiry": 86400,
4 "organization_id": "organization_id",
5 "organization_name": "organization_name",
6 "scopes": {
7 "organization_id": "organization_id",
8 "scopes": [
9 "transactions:write",
10 "transactions:read",
11 "transactions:delete",
12 "person:read",
13 "person:write",
14 "customer_sar:read",
15 "customer_sar:write"
16 ]
17 }
18}
The Cable API uses API keys to authenticate requests. Make sure never to share your API keys - don’t put them in repositories or leave them as human-readable in code, and always use HTTPS. Request a new access token to authenticate requests to the API. The token will expire after the specified time. To request an access token you must use the refresh / auth token provided to you by Cable. You cannot request a new token with an existing access token.
Was this page helpful?
Previous

Check if a transaction exists

Next
Built with

The Cable API uses API keys to authenticate requests. Make sure never to share your API keys - don’t put them in repositories or leave them as human-readable in code, and always use HTTPS.

Request a new access token to authenticate requests to the API. The token will expire after the specified time. To request an access token you must use the refresh / auth token provided to you by Cable. You cannot request a new token with an existing access token.

Authentication

Authorizationstring
API Key authentication via header

Request

Token request parameters
expiry_secondslongRequired300-86400

The requested expiration time in seconds for the token. Must be between 300 (5 minutes) and 86400 (24 hours).

scopesobjectRequired

Response

Token created successfully
tokenstring
expirylong
The expiration time in Unix time format.
organization_idstring
The organization ID for which the token was requested.
organization_namestring
The name of the organization for which the token was requested.
scopesobject

Errors

401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error